Subject: Re: bug#17623: 24.4.50; incorrect example for `apply-partially' in (elisp) `Calling Functions'

From: Richard Stallman <[email-masked]>
Date: Fri, 29 Oct 2021 00:02:37 -0400

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > I think what could be better documented are the benefits of quoting with
  > function (or #').  AFAICT, it is not really explained on (info "(elisp)
  > Anonymous Functions"), it is more hinted at.

I don't know of any benefit to using #', or any reason to use it.
If there is one, I'd like to know about it.

In the absence of a reason, I think we may as well keep Lisp simple
by quoting function names with singlequote.

-- 
Dr Richard Stallman (https://stallman.org)
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)